Page MenuHomePhabricator

UploadWizard rejects uploads with file names that are prefixes of existing file name, treating them as if they were duplicates
Closed, ResolvedPublic

Description

UploadWizard rejects uploads with file names that are prefixes of existing file name, treating them as if they were duplicates.

Reported at https://commons.wikimedia.org/wiki/Commons:Village_pump#Odd_upload_errors by Delphi234.

Details

Related Gerrit Patches:

Event Timeline

matmarex created this task.May 16 2016, 2:59 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptMay 16 2016, 2:59 PM
Restricted Application added subscribers: Zppix, Steinsplitter, Aklapper. · View Herald Transcript
matmarex triaged this task as Medium priority.May 17 2016, 3:19 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptMay 17 2016, 3:19 AM

Change 289133 had a related patch set uploaded (by Bartosz Dziewoński):
mw.DestinationChecker: Don't generate false positives for matching prefixes

https://gerrit.wikimedia.org/r/289133

Change 289133 merged by jenkins-bot:
mw.DestinationChecker: Don't generate false positives for matching prefixes

https://gerrit.wikimedia.org/r/289133

matmarex closed this task as Resolved.May 25 2016, 6:14 PM
matmarex removed a project: Patch-For-Review.

This bug has been fixed and the fix will be deployed to Commons next week, on Wednesday, 01 June 2016, according to https://www.mediawiki.org/wiki/MediaWiki_1.28/Roadmap.